- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# ODE_data Struct Reference

Datas relative to the ODE solver. More...

`#include <Datas.h>`

Collaboration diagram for ODE_data:

[legend]

## Data Fields
double * | state
parameters * | P
datas * | d
double | time_param
double | CumulNumOfSteps
realtype | reltol
| < Cumulative number of integration steps
realtype | t
realtype | tout
N_Vector | y
N_Vector | abstol
void * | cvode_mem
int | flag
int | flagr
int | iout
int | rootsfound [2]

## Detailed Description

Datas relative to the ODE solver.

Contains data for the solver and pointers to the general structure datas *d as well as a pointer to parameters *P.

Definition at line 279 of file Datas.h.

## Field Documentation

N_Vector ODE_data::abstol

| Definition at line 295 of file Datas.h. Referenced by solver_init().

double ODE_data::CumulNumOfSteps

| Definition at line 290 of file Datas.h. Referenced by solve_ODE().

void* ODE_data::cvode_mem

| Definition at line 296 of file Datas.h. Referenced by solve_ODE(), solver_free(), and solver_init().

datas* ODE_data::d

| Definition at line 283 of file Datas.h. Referenced by f(), mexFunction(), and solve_ODE().

int ODE_data::flag

| Definition at line 297 of file Datas.h. Referenced by solve_ODE().

int ODE_data::flagr

| Definition at line 297 of file Datas.h.

int ODE_data::iout

| Definition at line 297 of file Datas.h.

parameters* ODE_data::P

| Definition at line 282 of file Datas.h. Referenced by f(), and mexFunction().

realtype ODE_data::reltol

| < Cumulative number of integration steps Definition at line 294 of file Datas.h.

int ODE_data::rootsfound[2]

| Definition at line 298 of file Datas.h.

double* ODE_data::state

| Definition at line 281 of file Datas.h. Referenced by f(), mexFunction(), and solver_init().

realtype ODE_data::t

| Definition at line 294 of file Datas.h.

double ODE_data::time_param

| Definition at line 287 of file Datas.h. Referenced by get_time(), mexFunction(), and solve_ODE().

realtype ODE_data::tout

| Definition at line 294 of file Datas.h.

N_Vector ODE_data::y

| Definition at line 295 of file Datas.h. Referenced by solve_ODE(), solver_free(), and solver_init().

The documentation for this struct was generated from the following file:

- D:/Basile/VisualCppProjects/hydroMEX3/hydroMEX3/hydro_source/Datas.h